Redmine - Patch #3586
Add an option to filter issues by people who were assigned to it in the past

2009-07-05 16:42 - Grzegorz Kulewski

Status: Closed Start date: 2009-07-05
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version:

Description

Patch attached. It is against 0.7 but can probably very easily be ported to other versions. It probably needs adding handling of other
cases, not only "is" but | am not sure what else is needed. Please review and apply if possible.

This patch partially solves #2333.

Related issues:
Related to Redmine - Feature #2333: Add ability to search for issues that the...

Related to Redmine - Feature #38527: New issues filter operators "has been", ...

Closed
Closed

2008-12-13

History

#1 - 2009-07-19 12:35 - Chris Grieger
- File add-ever-assigned-to_r2823.patch added

Patch adjusted for the current revision r2823.

Also added handling for the "is not" case.
patch -p0 < patches/add-ever—-assigned-to_r2823.patch

patching file app/models/query.rb
patching file config/locales/en.yml

#2 - 2009-07-19 14:48 - Chris Grieger
- File add-ever-assigned-to_r2823.patch added
Sorry, i had a small error in the last patch which caused some tests to fail.
Fixed in this patch.
#3 - 2009-07-19 15:31 - Grzegorz Kulewski
Chris Grieger wrote:
Sorry, i had a small error in the last patch which caused some tests to fail.

Fixed in this patch.

Thanks, | didn't have time to do it myself yet.

Are you sure that there is only need for IN/NOT IN operators? Also don't we need the double value handling in operators other than "="?

| am also thinking about doing more general version that gets list of strings as db_field instead of this shameless has_double_field hack. Maybe it will

be handy for others too.

BTW. The PL translation would be something like "Kiedykolwiek przydzielony do" - it's similar to other such PL translations in 0.7 at least but it's also

a little bit too long and often gets line break before "do" that looks strange, probably some css fix would be needed.

#4 - 2010-11-28 18:56 - Grzegorz Kulewski

This patch is only a proof of concept and needs more development and tests and possibly some discussion about the performance impact of these

two joins.

Unfortunately | don't know Redmine internals or even Rails/Ruby too well. Any volunteers who can help?
https://www.redmine.org/projects/redmine/repository/svn/revisions/2823

#5 - 2013-12-17 11:10 - Daniel Kiippers

Is there a way we can integrate this quite quick into redmine? | really appreciate this feature for the project management as some others stated
above.

#6 - 2023-05-08 15:20 - Go MAEDA

- Related to Feature #38527: New issues filter operators "has been", "has never been", and "changed from" added

#7 - 2023-05-11 09:26 - Go MAEDA

- Status changed from New to Closed

New filter operaters "changed from" and "has been" that were implemented in #38527 cover the feature of the "Ever assigned to" filter suggested in
the patch.

¢ [Assignee][changed from][user]: selects issues where the user was an assignee at some point in the past
¢ [Assignee][has been][user]: selects issues where the user was an assignee at some point in the past or is the current assignee

Files

add-ever-assigned-to.patch 2.81 KB 2009-07-05 Grzegorz Kulewski
add-ever-assigned-to_r2823.patch 3.66 KB 2009-07-19 Chris Grieger
add-ever-assigned-to_r2823.patch 4.48 KB 2009-07-19 Chris Grieger
